### Method

# GtkSource SnippetManager set_search_path

#### Declaration [src]

    void
    gtk_source_snippet_manager_set_search_path (
      GtkSourceSnippetManager* self,
      const gchar* const* dirs
    )

#### Description [src]

Sets the list of directories in which the `GtkSourceSnippetManager` looks for snippet files.

If `dirs` is `NULL`, the search path is reset to default.

At the moment this function can be called only before the snippet files are loaded for the first time. In practice to set a custom search path for a `GtkSourceSnippetManager`, you have to call this function right after creating it.

Sets property | `GtkSource.SnippetManager:search-path`

#### Parameters

`dirs`

  Type: An array of `gchar*`

  A `NULL`-terminated array of strings or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.